
unit global;

(* http://nono40.developpez.com/tutoriel/delphi/screensaver/ *)

interface

type
  TssMode = (ssAffiche, ssConfig, ssPrevisu);

const
  INI_FileName = 'config.ini';
  INI_SectionName = 'swf';
  INI_KeyName = 'filename';
  
var
  ssMode: TssMode = ssAffiche;
  Param1, Param2, SWF_FileName: string;

procedure ReadIni;
procedure WriteIni;

implementation

uses
  IniFiles, SysUtils;

procedure ReadIni;
var
  Ini: TIniFile;
begin
  Ini := TIniFile.Create(ExtractFilePath(ParamStr(0)) + INI_FileName);
  try
    SWF_FileName := Ini.ReadString(INI_SectionName, INI_KeyName, SWF_FileName);
  finally
    Ini.Free;
  end;
end;

procedure WriteIni;
var
  Ini: TIniFile;
begin
  Ini := TIniFile.Create(ExtractFilePath(ParamStr(0)) + INI_FileName);
  try
    Ini.WriteString(INI_SectionName, INI_KeyName, SWF_FileName);
  finally
    Ini.Free;
  end;
end;

end.

